﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;
using Countries.NET.Database;
using System.Runtime.ConstrainedExecution;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class UniversityConfiguration : IEntityTypeConfiguration<University>
    {

        public void Configure(EntityTypeBuilder<University> builder)
        {
            
            builder.HasData(
                new University { NameEn = "Fahd Univ", NameAr = "جامعة الملك فهد", Id = 1 },
                new University { NameEn = "Riydh Univ", NameAr = "جامعة الرياض", Id = 2 },
                new University { NameEn = "Geda Univ", NameAr = "جامعة جدة", Id = 3 }


            );
        }
    }
}