﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class altrAdminRole : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A",
                column: "IsAdmin",
                value: false);

            migrationBuilder.InsertData(
                table: "Permissions",
                columns: new[] { "Id", "CategoryName", "Desc", "Name", "Show" },
                values: new object[] { 47L, "Adminstration", "User.ResetPassword", "User.ResetPassword", false });

            migrationBuilder.InsertData(
                table: "RolePermissions",
                columns: new[] { "Id", "PermissionId", "PermissionName", "RoleId" },
                values: new object[,]
                {
                    { 133L, 47L, "User.ResetPassword", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 134L, 47L, "User.ResetPassword", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 135L, 47L, "User.ResetPassword", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 133L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 134L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 135L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 47L);

            migrationBuilder.UpdateData(
                table: "AspNetRoles",
                keyColumn: "Id",
                keyValue: "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A",
                column: "IsAdmin",
                value: true);
        }
    }
}
