﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;


namespace MTWorkHR.Core.Entities
{
    public class ProjectStageAttachment : AuditEntity
    {
        public long ProjectStageId { get; set; }

        [ForeignKey("ProjectStageId")]
        public ProjectStage ProjectStage { get; set; }
        public long? AttachmentTypeId { get; set; }


        [MaxLength(250)]
        public string? FileName { get; set; }

        [MaxLength(250)]
        public string? OriginalName { get; set; }

        public string? FilePath { get; set; }
        public string? ContentType { get; set; }
    }
}
