﻿using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.Entities
{
    public class SubscriptionConfiguration : FullAuditEntity
    {


        //--------------------------forms for Companies------------------
        public decimal? FirstRegisterationCompanyFees { get; set; }
        public decimal? MonthlyCompanyFees { get; set; }
        public decimal? YearlyCompanyFees { get; set; }
        public decimal? MonthlyEmployeeServicesCompanyFees { get; set; }
        public decimal? DistinguishedEmployeeCompanyFeesPerc { get; set; }




        //--------------------------forms for Employee------------------
        public decimal? OrdinaryEmployeePerc { get; set; }
        public decimal? DistinguishedEmployeePerc { get; set; }
        public decimal? DeductedFirstSearchAmount { get; set; }
        public decimal? ContractDocumentationFees { get; set; }
        public decimal? ExperienceCertificateFees { get; set; }
        public decimal? RequestDisputeResolutionFees { get; set; }
      

    }
}
